Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.table
Interface Table

All Known Implementing Classes:
  DefaultTable

    public interface Table

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Method Summary
`void` | `addColumn(String name, int type)` adds a new column to the table
`void` | `appendRow(Object[] data)` appends a row to the table and sets its data
`int` | `getColumnCount()` returns the number columns of the table
`int` | `getColumnIndex(String columnName)` returns the index of the submitted columns name.
`String` | `getColumnName(int col)` returns the name of the specified column.
`String[]` | `getColumnNames()` returns the names of all table columns.
`int` | `getColumnType(int col)` returns the name of the type of the specifies column.
`int[]` | `getColumnTypes()` returns the names of all column types.
`Object[]` | `getRow(int row)` returns the data of the row'th row of the table
`int` | `getRowCount()` returns the number rows of the table
`String` | `getTableName()` returns the name of the table.
`Object` | `getValueAt(int row, int col)` returns the value of the table field indexed by `row` and `col`
`Object[]` | `removeRow(int index)` removes a row from the table
`void` | `setColumnName(int col, String name)` sets the name of a column.
`void` | `setColumnType(int col, int type)` sets the type of a column. the implementing class have to ensure that this is a valid operation
`void` | `setRow(Object[] data, int row)` sets the data of the row'th row
`void` | `setTableName(String tableName)`
`void` | `setValueAt(Object value, int row, int col)` set a value at the table field indexed by `row` and `col`

Method Detail

### getTableName

    String getTableName()

  returns the name of the table. If the table hasn't a name an empty string ("") will be returned.

### setTableName

    void setTableName(String tableName)

  See Also:
    `getTableName()`

### getValueAt

    Object getValueAt(int row,
                      int col)

  returns the value of the table field indexed by `row` and `col`

### setValueAt

    void setValueAt(Object value,
                    int row,
                    int col)

  set a value at the table field indexed by `row` and `col`

### getRow

    Object[] getRow(int row)

  returns the data of the row'th row of the table

### setRow

    void setRow(Object[] data,
                int row)
                throws TableException

  sets the data of the row'th row

  Throws:
    `TableException`

### appendRow

    void appendRow(Object[] data)
                   throws TableException

  appends a row to the table and sets its data

  Throws:
    `TableException`

### getRowCount

    int getRowCount()

  returns the number rows of the table

### addColumn

    void addColumn(String name,
                   int type)

  adds a new column to the table

### getColumnCount

    int getColumnCount()

  returns the number columns of the table

### getColumnNames

    String[] getColumnNames()

  returns the names of all table columns. If a column hasn't a name a empty String ("") will be returned.

### getColumnName

    String getColumnName(int col)

  returns the name of the specified column. If a column hasn't a name a empty String ("") will be returned.

### getColumnTypes

    int[] getColumnTypes()

  returns the names of all column types. For each column a type (name of a java class) has to be defined.

### getColumnType

    int getColumnType(int col)

  returns the name of the type of the specifies column. For each column a type (name of a java class) has to be defined.

### setColumnType

    void setColumnType(int col,
                       int type)
                       throws TableException

  sets the type of a column. the implementing class have to ensure that this is a valid operation

  Throws:
    `TableException`

### setColumnName

    void setColumnName(int col,
                       String name)

  sets the name of a column.

### removeRow

    Object[] removeRow(int index)

  removes a row from the table

### getColumnIndex

    int getColumnIndex(String columnName)

  returns the index of the submitted columns name. If no column with that name if present -1 will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org